#include <QApplication>
#include <QMainWindow>
#include <QTableView>
#include <QStandardItemModel>
#include <QPushButton>
#include <QHeaderView>
#include <QVBoxLayout>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    auto * table = new QTableView();
    auto * model = new QStandardItemModel(1,2);
    model->setItem(0, 0, new QStandardItem("old"));
    table->setModel(model);
    table->horizontalHeader()->setSectionResizeMode(0, QHeaderView::Stretch);
    table->horizontalHeader()->setSectionResizeMode(1, QHeaderView::Fixed);

    auto * button = new QPushButton("Update");
    QObject::connect
    (
        button, &QPushButton::clicked,
        [model] { model->setItem(0, 0, new QStandardItem("new")); }
    );

    auto * mainWidget = new QWidget();
    auto * layout = new QVBoxLayout();
    layout->addWidget(table);
    layout->addWidget(button);
    mainWidget->setLayout(layout);

    QMainWindow mainWindow;
    mainWindow.setCentralWidget(mainWidget);
    mainWindow.show();

    return a.exec();
}
